Name:           cheese-release
Version:        26
Release:        1
Summary:        cheese Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.nosuchhost.net/~cheese/fedora/packages
Source1:        cheese.repo
Source2:        cheese.repo.epel
Source3:        RPM-GPG-KEY-cheese-fedora-%{version}-primary
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       system-release >= %{version}

%description
%if (0%{?rhel} > 5)
cheese repository contains open source and other distributable software for
el/centos %{?rhel}.
%else
cheese repository contains open source and other distributable software for
Fedora. 
%endif

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key

%if (0%{?rhel} > 5)
%{__install} -Dp -m644 \
    %{SOURCE7} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%else
%{__install} -Dp -m644 \
    %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%endif

%if (0%{?rhel} > 5)
ln -s $(basename %{SOURCE7}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-%{version}
%else
# Avoid using basearch in name for the key. Introduced in F18
ln -s $(basename %{SOURCE3}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-%{version}
%endif

for arch in i386 x86_64; do
%if (0%{?rhel} > 5)
    ln -s RPM-GPG-KEY-cheese-epel-%{version}-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-%{version}-$arch
%else
    ln -s RPM-GPG-KEY-cheese-fedora-%{version}-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-%{version}-$arch
%endif
done

# Yum .repo files
%if (0%{?rhel} > 5)
%{__install} -T -p -m644 %{SOURCE2} \
%else
%{__install} -T -p -m644 %{SOURCE1} \
%endif
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cheese.repo


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Wed May 03 2017 josef radinger <cheese@nosuchhost.net> - 26-1
- bump version

* Tue Nov 22 2016 josef radinger <cheese@nosuchhost.net> - 25-1
- bump version

* Sun Apr 17 2016 josef radinger <cheese@nosuchhost.net> - 24-1
- bump version
- fix Source3

* Mon Oct 26 2015 josef radinger <cheese@nosuchhost.net> - 23-1
- fedora 23
- simplify spec-file

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 21-1
- fedora 21

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 7-1
- epel version 7

* Mon Jul 07 2014 josef radinger <cheese@nosuchhost.net> - 6-1
- epel version

* Thu Feb 20 2014 josef radinger <cheese@nosuchhost.net> - 20-1
- bump version

* Sat Nov 30 2013 josef radinger <cheese@nosuchhost.net> - 19-2
- fix link

* Fri Jul 05 2013 josef radinger <cheese@nosuchhost.net> - 19-1
- version 19

* Sun Apr 07 2013 josef radinger <cheese@nosuchhost.net> - 17-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-1
- initial version
